GUIX(LINT)

NAME
guix lint (GNU Guix) - manual page for guix lint (GNU Guix) 1.3.0

SYNOPSIS
guix lint [OPTION]... [PACKAGE]...

DESCRIPTION
Run a set of checkers on the specified package; if none is specified, run the checkers on all packages.

-c, --checkers=CHECKER1,CHECKER2...
    only run the specified checkers

-x, --exclude=CHECKER1,CHECKER2...
    exclude the specified checkers

-n, --no-network
    only run checkers that do not access the network

-L, --load-path=DIR
    prepend DIR to the package module search path

-h, --help
    display this help and exit

-l, --list-checkers
    display the list of available lint checkers

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2021 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix lint (GNU Guix) is maintained as a Texinfo manual. If the info and guix lint (GNU Guix) programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.